
dofile("Base.rte/Constants.lua")
dofile("Orks.rte/Scripts/AI/NativeOrkAI.lua")

function Create(self)
	self.AI = NativeOrkAI:Create(self)
	self.WTime = Timer();


	local hook = CreateHDFirearm("Choppa");
	local rand = math.random(0,4);

	if rand == 0 then
		hook = CreateHDFirearm("Mean Choppa")
	elseif rand == 1 then
		hook = CreateHDFirearm("Worn Choppa")
	elseif rand == 2 then
		hook = CreateHDFirearm("Slab Choppa")
	elseif rand == 3 then
		hook = CreateHDFirearm("Taxi Choppa")
	else
		hook = CreateHDFirearm("Choppa")
	end
	
	self:AddInventoryItem(hook);

	
end

function Update(self)

	local con = self:GetController();
	con:SetState(9,false);


if con:IsState(3) or con:IsState(4) or con:IsState(10) or con:IsState(5) then


if self.WTime:IsPastSimMS(100) then
	self.WTime:Reset();

   local rotangle = self.RotAngle;
   if rotangle > -0.15 and rotangle < 0.15 then

	local alt = 18;
	if self.FGLeg ~= nil and self.BGLeg ~= nil then
		if con:IsState(3) or con:IsState(4) then
			alt = 23;
		else
			alt = 21;
		end
		
		local dx = 12
		if SceneMan.SceneWidth > self.Pos.X+12 and 0 < self.Pos.X-12 then
			dx = 12;
			if self.Vel.X < 0 then
				dx = -12;
			end
			if math.abs(self.Vel.X) < 1 then
				dx = 0;
			end
		else
			dx = 0;
		end	

		if not con:IsState(10) and not con:IsState(5) then

			local ray = SceneMan:CastObstacleRay(self.Pos, Vector(0,alt*1.5), Vector(), Vector(), self.ID, self.Team,128, 0);
			if ray > 0 then
				if math.abs(self.Vel.Y) < 5 then
					ray = SceneMan:CastObstacleRay(Vector(self.Pos.X+dx, self.Pos.Y) , Vector(0,alt*1.5) , Vector() , Vector(), self.ID ,self.Team, 128 , 0);
					if ray <=0 then
						ray = ((2*alt)/3);
					end
					if math.abs(alt-ray) < 15 then
						self.Vel.Y = self.Vel.Y-(0.25*(alt-ray));
					end
				end
				if con:IsState(3) and self.Vel.X < 6 then
					self.Vel.X = self.Vel.X+1.25;
				elseif con:IsState(4) and self.Vel.X > -6 then
					self.Vel.X = self.Vel.X-1.25;
				end
		   end
		end

		self.Vel.Y = 0.9925*self.Vel.Y;
		self.AngularVel = 0.95*self.AngularVel;

	end	
   end		
end

end

end

function UpdateAI(self)
	self.AI:Update(self)
end

function Destroy(self)
	if MovableMan:IsActor(self) == true then
		self.AngularVel = 0;
	end
end
