
dofile("Base.rte/Constants.lua")
require("Actors/AI/NativeCrabAI")	--dofile("Base.rte/Actors/AI/NativeCrabAI.lua")

function Create(self)
	--self.AI = NativeHumanAI:Create(self)
	self.AI = NativeCrabAI:Create(self)

	self.WTime = Timer();
end

function Update(self)
	self.AngularVel = self.AngularVel*0.85;

	local con = self:GetController();
	con:SetState(9,false);


if con:IsState(3) or con:IsState(4) or con:IsState(10) or con:IsState(5) then


if self.WTime:IsPastSimMS(40) then
	self.WTime:Reset();

   local rotangle = self.RotAngle;
   if rotangle > -0.15 and rotangle < 0.15 then

	local alt = 28;
	if self.FGLeg ~= nil and self.BGLeg ~= nil then
		if con:IsState(3) or con:IsState(4) then
			alt = 37;
		else
			alt = 35;
		end
		
		local dx = 12
		if SceneMan.SceneWidth > self.Pos.X+12 and 0 < self.Pos.X-12 then
			dx = 12;
			if self.Vel.X < 0 then
				dx = -12;
			end
			if math.abs(self.Vel.X) < 1 then
				dx = 0;
			end
		else
			dx = 0;
		end	

		if not con:IsState(10) and not con:IsState(5) then

			local ray = SceneMan:CastObstacleRay(self.Pos, Vector(0,alt*1.5), Vector(), Vector(), self.ID, self.Team,128, 0);
			if ray > 0 then
				if math.abs(self.Vel.Y) < 5 then
					ray = SceneMan:CastObstacleRay(Vector(self.Pos.X+dx, self.Pos.Y) , Vector(0,alt*1.5) , Vector() , Vector(), self.ID ,self.Team, 128 , 0);
					if ray <=0 then
						ray = ((2*alt)/3);
					end
					if math.abs(alt-ray) < 15 then
						self.Vel.Y = self.Vel.Y-(0.25*(alt-ray));
					end
				end
				if con:IsState(3) and self.Vel.X < 5 then
					self.Vel.X = self.Vel.X+1.05;
				elseif con:IsState(4) and self.Vel.X > -5 then
					self.Vel.X = self.Vel.X-1.05;
				end
		   end
		end

		self.Vel.Y = 0.9925*self.Vel.Y;
		self.AngularVel = 0.95*self.AngularVel;

	end	
   end		
end

end



end

function UpdateAI(self)
	self.AI:Update(self)
end
